Bug 814827 - dm thin: support "held roots" for live userspace metadata access
dm thin: support "held roots" for live userspace metadata access
Status: CLOSED DUPLICATE of bug 828955
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.4
Unspecified Linux
unspecified Severity medium
: rc
: ---
Assigned To: Joe Thornber
Cluster QE
: FutureFeature
Depends On:
Blocks: 814841
  Show dependency treegraph
 
Reported: 2012-04-20 15:14 EDT by Alasdair Kergon
Modified: 2012-07-30 16:39 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-30 16:39:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alasdair Kergon 2012-04-20 15:14:45 EDT
Allow userspace to hold the root of an LV metadata tree, which guarantees the kernel will not remove any of the metadata in that tree until userspace releases the hold.
Comment 1 RHEL Product and Program Management 2012-07-10 04:25:36 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 19:36:35 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 3 Alasdair Kergon 2012-07-30 15:33:09 EDT
upstream commit cc8394d86f045b86ff303d3c9e4ce47d97148951
dm thin: provide userspace access to pool metadata

Note You need to log in before you can comment on or make changes to this bug.